<?php
class Fonction {
    public static function getByNoGroupAndNoFonction($noGroupe, $noFonction) {
        $query = "SELECT * FROM fonction WHERE NoGroupe=:nogroup AND NoFonction=:nofonction";
        $statement = Connection::getStatement($query);
        $statement->bindParam(":nogroup", $noGroupe);
        $statement->bindParam(":nofonction", $noFonction);
        $statement->execute();
        return $statement->fetch();
    }

    public static function getByNoGroup($noGroup) {
        $query = "SELECT * FROM fonction WHERE NoGroupe = :group";
        $statement = Connection::getStatement($query);
        $statement->bindParam(":group", $noGroup);
        $statement->execute();
        return $statement->fetchAll();
    }
}